#
# spec file for package libxml (Version 1.8.17)
#
# Copyright (c) 2004 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         libxml
%define prefix      %{_prefix}
%define sysconfdir  %{_sysconfdir}
%define prefixgnome /opt/gnome
License:      GPL, LGPL
Group:        System/Libraries
Autoreqprov:  on
Summary:      A library to manipulate XML files
Version:      1.8.17
Release:      366.4
Source:       ftp://ftp.gnome.org/pub/GNOME/stable/sources/libxml/libxml-%{version}.tar.bz2
Patch:        libxml-makefile-am.diff
Patch1:       libxml_1.8.17-2-secfix.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://xmlsoft.org

%description
XML is said to be the upcoming standard file format of the World Wide
Web.

Applications use libxml to load and save extensible datastructures and
the new webformat.

New applications should version 2 of libxml (AKA "libxml2").



Authors:
--------
    Daniel Veillard <Daniel.Veillard@w3.org>
    Raja R Harinath  <harinath@cs.umn.edu>
    Tom Tromey  <tromey@cygnus.com>
    Christopher Blizzard  <blizzard@appliedtheory.com>

%package  -n libxml-devel
Summary:      libxml development package (version1)
Group:        Development/Libraries/C and C++
Autoreqprov:  on
Obsoletes:    libxmld
Requires:     libxml

%description -n libxml-devel
Libraries and includes to compile applications that use the libxml.



Authors:
--------
    cf. package "libxml"

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -q
%patch -p1
%patch1 -p1

%build
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal
automake -a -c
autoconf
LIBS="-L/usr/X11R6/%_lib" \
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix \
                                    --sysconfdir=%sysconfdir \
				    --libdir=%_libdir \
#                                    --with-html-dir=%{prefix}/doc/packages/libxml
# libz lives at /usr/X11R6/lib
make XML_LIBDIR="-L/usr/%_lib -L/usr/X11R6/%_lib"

%install
rm -rf $RPM_BUILD_ROOT
export RPM_BUILD_ROOT
find example -type f | xargs chmod 644
make DESTDIR=$RPM_BUILD_ROOT \
     XML_LIBDIR="-L/usr/lib -L/usr/X11R6/%_lib" install
# Unwanted doc stuff
rm -fr $RPM_BUILD_ROOT%{_datadir}/gnome-xml
# [# 36381]
make -C example clean
rm -fr example/.deps
# make prefix=$RPM_BUILD_ROOT%{prefix} \
#      sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
#      XML_LIBDIR="-L/usr/lib -L/usr/X11R6/%_lib" install
# (cd doc && make install-docdataDATA prefix=$RPM_BUILD_ROOT%{prefix} \
#                 HTML_DIR=$RPM_BUILD_ROOT%{prefix}/doc/packages/libxml)
%{INSTALL_DIR} $RPM_BUILD_ROOT%{prefixgnome}/%_lib
cd $RPM_BUILD_ROOT%{prefixgnome}/%_lib && ln -s ../../../%_libdir/xmlConf.sh .
chmod +x $RPM_BUILD_ROOT%{prefix}/%_lib/lib*.so.*
/sbin/ldconfig -n $RPM_BUILD_ROOT%_libdir

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS NEWS README COPYING COPYING.LIB TODO
%_libdir/lib*.so.*

%files devel
%defattr(-, root, root)
%doc doc/*.{html,gif}
%doc doc/html
%doc example
%_libdir/lib*.so
%_libdir/*a
%_libdir/*.sh
%{_bindir}/*
%{prefix}/include/*
%{_libdir}/pkgconfig/*
%dir %{prefixgnome}
%dir %{prefixgnome}/%_lib
%{prefixgnome}/%_lib/xmlConf.sh

%changelog -n libxml
* Mon Dec 20 2004 - thomas@suse.de
- added patch to fix buffer overflows in FTP and HTTP URL handling
  as well as in DNS code. (bug #49362)
* Thu Mar 18 2004 - ke@suse.de
- Do not install pre-compiled examples; reported by Dirk Mueller
  [# 36381].
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Thu Jun 12 2003 - kukuk@suse.de
- Remove pkgconfig directory from filelist, is part of filesystem
* Thu Jun 12 2003 - kukuk@suse.de
- Add missing GNOME directories to filelist
* Tue May 27 2003 - ke@suse.de
- Fix %%doc related permissions.
* Tue May 27 2003 - ke@suse.de
- Cleanup $RPM_BUILD_ROOT.
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Sun Jul 21 2002 - kukuk@suse.de
- Remove readline/readline-devel from neededforbuild, only needed
  for unused test program
* Mon Jun 17 2002 - ke@suse.de
- Call automake with the switch -a to install depcomp, too.
* Mon Apr 08 2002 - ke@suse.de
- Update to version 1.8.17:
- Fix namespace support.
* Mon Feb 11 2002 - coolo@suse.de
- use %%_lib and %%_libdir
* Mon Nov 05 2001 - ke@suse.de
- Apply libxml-makefile-am.diff on account of automake 1.5 (multiply
  set variables).
* Mon Oct 01 2001 - ke@suse.de
- Update to version 1.8.16:
- Maintenance release: a couple of bug and portability fixes
  (cf. http://xmlsoft.org/).
- Drop previous 'ltconfig' patch.
* Fri Aug 24 2001 - ke@suse.de
- Update to version 1.8.15:
- Fix a parser bug; nautilus was affected.
- Add ldconfig call.
* Fri Jun 29 2001 - ke@suse.de
- Update to version 1.8.14.
* Mon May 21 2001 - ke@suse.de
- Update to version 1.8.13.
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Mon Jan 22 2001 - ke@suse.de
- Update to version 1.8.11.
* Mon Dec 11 2000 - bk@suse.de
- %%{prefix}/bin/*(/usr/bin/xml-config) belongs to the -devel package
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Fri Sep 08 2000 - egger@suse.de
- Updated to version 1.8.10.
* Tue Sep 05 2000 - egger@suse.de
- Updated to version 1.8.9.
* Wed Mar 22 2000 - schwab@suse.de
- Fix libtool bug.
* Wed Mar 22 2000 - schwab@suse.de
- Update config.{guess,sub} from automake.
* Wed Mar 15 2000 - ke@suse.de
- update to version 1.8.7.
- ./configure -> %%build.
* Tue Feb 01 2000 - ke@suse.de
- update to version 1.8.6.
* Sun Jan 23 2000 - ke@suse.de
- update to version 1.8.5.
* Fri Jan 14 2000 - ke@suse.de
- update: version 1.8.4.
* Mon Jan 10 2000 - ke@suse.de
- update: version 1.8.3.
* Wed Dec 15 1999 - ke@suse.de
- update: version 1.7.4.
* Sat Oct 02 1999 - ke@suse.de
- update: version 1.7.3.
- fix check macro.
- spec file cleanup (e.g., do provide libxml-devel).
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sat Aug 21 1999 - ke@suse.de
- update: version 1.4.0
* Sat Jul 10 1999 - ke@suse.de
- update: version 1.3.0.
* Fri Jun 04 1999 - ke@suse.de
- update: version 1.1.0.
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Thu Mar 04 1999 - ke@suse.de
- update: version 1.0.0.
* Sun Feb 28 1999 - ke@suse.de
- filelist: add xml-config.
* Sun Feb 28 1999 - ke@suse.de
- make it GNOME compatible: link xmlConf.sh into a GNOME dir; provide
-L/usr/X11R6/lib for linking against libz.
- install docu.
* Wed Feb 17 1999 - ke@suse.de
- update: version 0.99.8.
* Thu Feb 04 1999 - ke@suse.de
- update: version 0.99.5.
- make *.so.* executable.
* Sun Jan 10 1999 - ke@suse.de
- update: version 0.99.
* Wed Dec 02 1998 - ke@suse.de
- initial package: version 0.30.
